## org.codehaus.groovy.runtime
Class ScriptReference

Represents a reference to a variable in a script

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Script` | `script`
`String` | `variable`

Constructor Summary
`ScriptReference(Script script, String variable)`

Method Summary
`Object` | `get()`
`void` | `set(Object value)`

Constructor Detail

### ScriptReference

    public ScriptReference(Script script, String variable)

Method Detail

### get

    public Object get()

### set

    public void set(Object value)